diff a/hat/wrap/glwrap/src/main/java/wrap/glwrap/GLStatusPtr.java b/hat/wrap/glwrap/src/main/java/wrap/glwrap/GLStatusPtr.java
--- /dev/null
+++ b/hat/wrap/glwrap/src/main/java/wrap/glwrap/GLStatusPtr.java
@@ -0,0 +1,55 @@
+/*
+ * Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
+ * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+ *
+ * This code is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU General Public License version 2 only, as
+ * published by the Free Software Foundation.  Oracle designates this
+ * particular file as subject to the "Classpath" exception as provided
+ * by Oracle in the LICENSE file that accompanied this code.
+ *
+ * This code is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+ * version 2 for more details (a copy is included in the LICENSE file that
+ * accompanied this code).
+ *
+ * You should have received a copy of the GNU General Public License version
+ * 2 along with this work; if not, write to the Free Software Foundation,
+ * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+ *
+ * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+ * or visit www.oracle.com if you need additional information or have any
+ * questions.
+ */
+package wrap.glwrap;
+
+import java.lang.foreign.Arena;
+import java.lang.foreign.MemorySegment;
+
+import static java.lang.foreign.ValueLayout.JAVA_INT;
+import static opengl.opengl_h.*;
+
+
+public record GLStatusPtr(MemorySegment ptr) {
+    public static GLStatusPtr of(Arena arena) {
+        return new GLStatusPtr(arena.allocateFrom(JAVA_INT, GL_TRUE()));
+    }
+
+    public int set(int value) {
+        ptr.set(JAVA_INT, 0, value);
+        return value;
+    }
+
+    public int get() {
+        return ptr.get(JAVA_INT, 0);
+    }
+
+    public boolean isOK() {
+        return get() == GL_TRUE();
+    }
+
+    public long sizeof() {
+        return JAVA_INT.byteSize();
+    }
+}
